Public Attributes | List of all members
gap_conn_cmp_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Connection complete info. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | conhdl
uint16_t | con_interval
uint16_t | con_latency
uint16_t | sup_to
uint8_t | clk_accuracy
uint8_t | peer_addr_type
ble_gap_addr_t | peer_addr
ble_gap_ll_role_type_t | ll_role

## Detailed Description

Connection complete info.

Definition at line 339 of file ble_gapc.h.

## Member Data Documentation

## ◆ clk_accuracy

uint8_t gap_conn_cmp_t::clk_accuracy

Clock accuracy (0x00: 500 ppm, 0x01: 250 ppm, 0x02: 150 ppm, 0x03: 100 ppm, 0x04: 75 ppm, 0x05:50 ppm, 0x06:30 ppm, 0x07:20 ppm, others: reserved for future use).

Definition at line 345 of file ble_gapc.h.

## ◆ con_interval

uint16_t gap_conn_cmp_t::con_interval

Connection interval. Range: 0x0006 to 0x0C80, unit: 1.25 ms, time range: 7.5 ms to 4 s.

Definition at line 342 of file ble_gapc.h.

## ◆ con_latency

uint16_t gap_conn_cmp_t::con_latency

Latency for the connection in number of connection events. Range: 0x0000 to 0x01F3.

Definition at line 343 of file ble_gapc.h.

## ◆ conhdl

uint16_t gap_conn_cmp_t::conhdl

Connection_Handle. Range: 0x0000-0x0EFF (all other values reserved for future use).

Definition at line 341 of file ble_gapc.h.

## ◆ ll_role

ble_gap_ll_role_type_t gap_conn_cmp_t::ll_role

Device Role of LL Layer.

Definition at line 349 of file ble_gapc.h.

## ◆ peer_addr

ble_gap_addr_t gap_conn_cmp_t::peer_addr

Peer BT address.

Definition at line 348 of file ble_gapc.h.

## ◆ peer_addr_type

uint8_t gap_conn_cmp_t::peer_addr_type

Peer address type(0x00: Public Device Address, 0x01 : Random Device Address, others: reserved for future use).

Definition at line 347 of file ble_gapc.h.

## ◆ sup_to

uint16_t gap_conn_cmp_t::sup_to

Connection supervision timeout. Range: 0x000A to 0x0C80, unit: 10 ms, time range: 100 ms to 32 s.

Definition at line 344 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h